Subject: bug#20748: 25.0.50; Seemingly random segfaults.

From: Zack Piper <[email-masked]>
Date: Sat, 6 Jun 2015 09:54:26 +0000

> > Starting program: /home/zack/ins/bin/emacs 
> > Got object file from memory but can't read symbols: File truncated.
> 
> A strange message, don't you think?

I thought that as well.
> 
> Did you build this Emacs yourself?  If so, can you also build a
> non-optimized version, and see if the problem happens there? 

I built it myself, yes.

When compiling without optimizations I can't seem to reproduce it.

This is strange, sorry for not being of much help.

Since it's compiled without optimizations now, is this a bug in GCC
itself? I doubt it, but here's my version anyway:

gcc (SUSE Linux) 4.8.3 20140627 [gcc-4_8-branch revision 212064]
Copyright (C) 2013 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

> Finally, do you have a lot of customizations in your ~/.emacs?  I'm
> puzzled by the large number of the face ID (74) in the backtrace -- do
> you customize your faces a lot, or use packages that create a lot of
> faces?

I use a lot of packages.

`M-x list-faces-display RET' (I think that's the correct command) lists ~703.

-- 
Zack Piper <[email-masked]> http://apertron.net